complexType "WeightedAveragingObservation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (dateTime? | observationNumber?), weight?
</...>

Content Model Elements (3):

  dateTime (in averagingObservation), observationNumber, | weight (in averagingObservation)

All Direct / Indirect Based Elements (1):

  averagingObservation

Known Usage Locations

- As direct type of elements (1):
  averagingObservation

Annotation
A single weighted averaging observation.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="WeightedAveragingObservation"> <xsd:sequence> <xsd:choice> <xsd:element minOccurs="0" name="dateTime" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="observationNumber" type="xsd:positiveInteger"/> </xsd:choice> <xsd:element minOccurs="0" name="weight" type="NonNegativeDecimal"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
dateTime

  Type: | xsd:dateTime, predefined, simple content

  Observation date time, which should be used when literal observation dates are required.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateTime" type="xsd:dateTime"/>

observationNumber

  Type: | xsd:positiveInteger, predefined, simple content

  Observation number, which should be unique, within a series generated by a date schedule.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="observationNumber" type="xsd:positiveInteger"/>

weight

  Type: | NonNegativeDecimal, simple content

  Observation weight, which is used as a multiplier for the observation value.
  Simple Content

  xsd:decimal

  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="weight" type="NonNegativeDecimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.